RNAalifold(l)

NAME
RNAalifold - calculate secondary structures for a set of aligned RNAs

SYNOPSIS
RNAalifold [-cv weight] [-nc weight] [-E] [-r] [-R ribosumfile] [-old] [-mis] [-aln] [-color] [-circ] [-p[0]] [-C] [-T temp] [-4] [-d] [-noLP] [-noGU] [-noCloseGU] [-e 1|2] [-Pparamfile] [-nsp pairs] [-S scale] [-s num] [-se num] [<file.aln>]

DESCRIPTION
RNAalifold reads aligned RNA sequences from stdin or file.aln and calculates their minimum free energy (mfe) structure, partition function (pf) and base pairing probability matrix. Currently, the input alignment has to be in CLUSTAL format. It returns the mfe structure in bracket notation, its energy, the free energy of the thermodynamic ensemble and the frequency of the mfe structure in the ensemble to stdout. It also produces Postscript files with plots of the resulting secondary structure graph ("alirna.ps") and a "dot plot" of the base pairing matrix ("alidot.ps"). The file "alifold.out" will contain a list of likely pairs sorted by credibility, suitable for viewing with "AliDot.pl". Be warned that output file will overwrite any existing files of the same name.

OPTIONS

-cv factor
    Set the weight of the covariance term in the energy function to factor. Default is 1.

-nc factor
    Set the penalty for non-compatible sequences in the covariance term of the energy function to factor. Default is 1.

-E  Score pairs with endgaps same as gap-gap pairs.

-mis
    Output "most informative sequence" instead of simple consensus: For each column of the alignment output the set of nucleotides with frequency greater than average in IUPAC notation.

-p  Calculate the partition function and base pairing probability matrix in addition to the mfe structure. Default is calculation of mfe structure only. Additionally, the centroid structure is computed and printed out.

-MEA [gamma]
    Calculate an MEA (maximum expected accuracy) structure. See RNAfold man page for details. If gamma is not specified a default of gamma=1 is used. Using -MEA implies -p.

-noLP
    Avoid structures without lonely pairs (helices of length 1). In the mfe case structures with lonely pairs are strictly forbidden. For partition function folding this disallows pairs that can only occur isolated. Setting this option provides a significant speedup.

-circ
    Assume circular (instead of linear) RNA molecules.

-color
    Produce a colored version of the consensus structure plot "alirna.ps" (default b&w only).

-aln
    Produce a colored and structure annotated alignment in PostScript format in the file "aln.ps" in the current directory.

-s num
    Compute a stochastic sample of num random structures chosen according to their Boltzmann probability. See the -p option in RNAsubopt.

-se num
    like -s, but also print out the energy and probability of each structure in the sample.

-R Ribosum_Matrix
    use specified Ribosum Matrix instead of normal energy model. Matrices to use should be 6x6 matrices, the order of the terms is AU, CG, GC, GU, UA, UG.

-r  use Ribosum scoring matrix. The matrix is chosen according to the minimal and maximal pairwise identities of the sequences in the file. When using Ribosum scores, best benchmark results were achieved with options -cv 0.6 -nc 0.5 (see above).

-old
    use old energy evaluation, treating gaps as characters.

The -T, -d, -4, -noGU, -noCloseGU, -e, -P, -nsp, options should work as in RNAfold If using -C constraints will be read from stdin, the alignment has to given as a file name on the command line.

CAVEATS
Sequences are not weighted. If possible, do not mix very similar and dissimilar sequences. Duplicate sequences, for example, can distort the prediction.

SEE ALSO
The ALIDOT package http://www.tbi.univie.ac.at/RNA/ALIDOT/

REFERENCES
The algorithm is a variant of the dynamic programming algorithms of M. Zuker and P. Stiegler (mfe) and J.S. McCaskill (pf) adapted for sets of aligned sequences with covariance information. The energy parameters are taken from:

D.H. Mathews, J. Sabina, M. Zuker and H. Turner "Expanded Sequence Dependence of Thermodynamic Parameters Provides Robust Prediction of RNA Secondary Structure" JMB, 288, pp 911-940, 1999

If you use this program in your work you might want to cite:

Ivo L. Hofacker, Martin Fekete, and Peter F. Stadler "Secondary Structure Prediction for Aligned RNA Sequences". J.Mol.Biol. 319: 1059-1066, 2002.
Stephan H. Bernhart, Ivo L. Hofacker, Sebastian Will, Andreas R. Gruber, and Peter F. Stadler. "RNAalifold: Improved consensus structure prediction for RNA alignments". BMC Bioinformatics, 9:474, 2008

VERSION
This man page documents version 1.8.5 of the Vienna RNA Package.

AUTHORS
Ivo L Hofacker <ivo@tbi.univie.ac.at>

BUGS
If in doubt our program is right, nature is at fault.
Comments should be sent to rna@tbi.univie.ac.at.